GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/mips-nbsd-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "regcache.h"`
`#include "target.h"`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <machine/reg.h>`
`#include "mips-tdep.h"`
`#include "mips-nbsd-tdep.h"`
`#include "inf-ptrace.h"`

Go to the source code of this file.

## Functions
static int | getregs_supplies (struct gdbarch *gdbarch, int regno)
static void | mipsnbsd_fetch_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regno)
static void | mipsnbsd_store_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regno)
void | _initialize_mipsnbsd_nat (void)

## Function Documentation

## ◆ _initialize_mipsnbsd_nat()

void _initialize_mipsnbsd_nat | ( | void |  | ) |

Definition at line 111 of file mips-nbsd-nat.c.

References add_target(), inf_ptrace_target(), mipsnbsd_fetch_inferior_registers(), mipsnbsd_store_inferior_registers(), target_ops::to_fetch_registers, and target_ops::to_store_registers.

## ◆ getregs_supplies()

static int getregs_supplies | ( | struct gdbarch * | gdbarch,
|  | int | regno
| ) |  |
| static

Definition at line 35 of file mips-nbsd-nat.c.

References gdbarch_pc_regnum(), and MIPS_ZERO_REGNUM.

Referenced by mipsnbsd_fetch_inferior_registers(), and mipsnbsd_store_inferior_registers().

## ◆ mipsnbsd_fetch_inferior_registers()

static void mipsnbsd_fetch_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regno
| ) |  |
| static

Definition at line 42 of file mips-nbsd-nat.c.

References _, regcache::arch(), gdbarch_fp0_regnum(), getregs_supplies(), mipsnbsd_supply_fpreg(), mipsnbsd_supply_reg(), perror_with_name(), pid, ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, and regcache_get_ptid().

Referenced by _initialize_mipsnbsd_nat().

## ◆ mipsnbsd_store_inferior_registers()

static void mipsnbsd_store_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regno
| ) |  |
| static

Definition at line 73 of file mips-nbsd-nat.c.

References _, regcache::arch(), gdbarch_fp0_regnum(), getregs_supplies(), mipsnbsd_fill_fpreg(), mipsnbsd_fill_reg(), perror_with_name(), pid, ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, and regcache_get_ptid().

Referenced by _initialize_mipsnbsd_nat().